
<h1>Towards Zero Touch Configuration of 5GNon-Public Networks for Time SensitiveNetworking</h1>
<p>The  need  to  increase  mobility  and  remove  cablesin  industrial  environments  is  pushing  5G  as  a  valuable  com-munication system to connect traditional deterministic Ethernet-based devices. One alternative is the adoption of Time SensitiveNetworking (TSN) standards over 5G Non-Public Networks (5GNPN) deployed in the company premises. This scenario presentsseveral  challenges,  the  most  relevant  being  the  configuration  ofthe 5G part to provide latency, reliability and throughput balancesuitable  to  ensure  that  all  the  TSN  traffic  can  be  deliveredon  time.  Our  research  work  addresses  this  problem  from  theperspective  of  automata  learning.  Our  aim  is  to  learn  from  thelive  network  to  build  a  smart  controller  that  can  dynamicallypredict  and  apply  a  suitable  configuration  of  the  5G  NPN  tosatisfy  the  requirements  of  the  current  TSN  traffic.  The  articlepresents  the  main  ideas  of  this  novel  approach.</p>
